Bug 587045 - Nicer way to handle connection timeout or network issues ?
Summary: Nicer way to handle connection timeout or network issues ?
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-28 18:23 UTC by Carl G.
Modified: 2015-02-01 22:51 UTC (History)
8 users (show)

Fixed In Version: abrt-2.0.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-26 16:20:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carl G. 2010-04-28 18:23:37 UTC
Description of problem:

My internet connection is being stupid, after receiving the bug ID i got this error message from ABRT.

Error while loading the dumplist.
org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Version-Release number of selected component (if applicable):

abrt-1.0.9-2.fc13.x86_64

Comment 1 Carl G. 2010-04-28 18:26:02 UTC
Also, here is the bug report that i have send :

https://bugzilla.redhat.com/show_bug.cgi?id=587041

The backtrace wasn't attached.

Comment 2 Jiri Moskovcak 2010-05-27 10:06:54 UTC
I agree that the message is confusing, but it doesn't come from ABRT. It means that ABRT daemon doesn't send a reply (which probably means it died...) I can change the first part of the message to smth like:

Error while loading the crashlist, please check if the daemon is running.
<And here the original error msg about timeout...>

J.

btw, does it still happen?

Comment 3 Carl G. 2010-06-14 21:44:37 UTC
Sounds good to me ;)

I was unable to reproduce this "bug".

Comment 4 Fedora Update System 2011-03-27 17:37:01 UTC
abrt-2.0.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-1.fc15

Comment 5 Fedora Update System 2011-03-29 20:02:30 UTC
abrt-2.0.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15

Comment 6 Fedora Update System 2011-03-30 02:32:59 UTC
Package abrt-2.0.0-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.0-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-03-30 16:49:14 UTC
abrt-2.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-3.fc15

Comment 8 Fedora Update System 2011-04-04 14:09:03 UTC
abrt-2.0.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-4.fc15

Comment 9 Fedora Update System 2011-04-15 15:10:08 UTC
abrt-2.0.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-5.fc15

Comment 10 Fedora Update System 2011-04-20 13:30:48 UTC
abrt-2.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-1.fc15

Comment 11 Fedora Update System 2011-04-21 16:45:20 UTC
abrt-2.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-2.fc15

Comment 12 Fedora Update System 2011-04-26 16:12:42 UTC
abrt-2.0.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.